VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ThisWorkbook"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
Option Explicit

Private Sub Workbook_BeforeClose(Cancel As Boolean)
With Application.CommandBars("Worksheet Menu Bar")
      On Error Resume Next
      .Controls("Input Registry File").Delete
      .Controls("Output Registry File").Delete
      On Error GoTo 0
   End With
End Sub

Private Sub Workbook_Open()
ThisWorkbook.Sheets(1).Range("H1:H4").ClearContents

Dim objPopUp As CommandBarPopup
   Dim objBtn As CommandBarButton
   With Application.CommandBars("Worksheet Menu Bar")
      On Error Resume Next
      .Controls("Input Registry File").Delete
      .Controls("Output Registry File").Delete
      On Error GoTo 0
   End With
   Set objBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton, 1, , , True)
   With objBtn
      .Caption = "Input Registry File"
      .OnAction = "InputVSColorsReg"
      .Style = msoButtonCaption
      .TooltipText = "Open *.reg file to load VSColors Key data"
   End With
   Set objBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton, 1, , , True)
   With objBtn
      .Caption = "Ouput Registry File"
      .OnAction = "OutputVSColorsReg"
      .Style = msoButtonCaption
      .TooltipText = "Save *.reg file to export VSColors Key data"
   End With
End Sub
